--------------------------------------------------------------------------------
-- Code developed by Generis Technology Limited
--
-- Product Name: B-Smart
--
-- Component Name: Meter Asset Manager
--
-- Description: Script to apply MDD change 14/485
--
-- Amendment History:                   Date        Author            Vers
-- ------------------                   ---------   -------           -----
-- B-Smart Initial Release              03-OCT-14   Generis           13.8
--------------------------------------------------------------------------------
--
-- SET SERVEROUTPUT ON SIZE 1000000
SET VERIFY OFF
SET SCAN OFF
--
PROMPT
PROMPT Script to apply MDD change 14/485
PROMPT
PROMPT Version 13.8
PROMPT
--
PROMPT
PROMPT Apply delete ECS as MAM (MDD 14/485)
PROMPT
--
DECLARE

  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  fk_violated         EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);
  PRAGMA EXCEPTION_INIT(fk_violated, -2292);

BEGIN

  EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT_IN_ROLE
                        SET EFFECTIVE_TO_DATE = TO_DATE(''03102014000000'',''DDMMYYYYHH24MISS''),
                            MARKET_PARTICIPANT_ROLE_NAME = ''DELETED - '' || MARKET_PARTICIPANT_ROLE_NAME,
                            LAST_UPDATE_USER_ID = ''MDD_14_485'',
                            LAST_UPDATE_DATE = SYSDATE
                      WHERE MARKET_PARTICIPANT_CODE = ''ECS''
                        AND MARKET_PARTICIPANT_ROLE_CODE = ''MAM''';

EXCEPTION
  WHEN is_snapshot OR invalid_column THEN
    NULL;
END;
/
--
PROMPT
PROMPT Apply delete ENS as MAM (MDD 14/485)
PROMPT
--
DECLARE

  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  fk_violated         EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);
  PRAGMA EXCEPTION_INIT(fk_violated, -2292);

BEGIN

  EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT_IN_ROLE
                        SET EFFECTIVE_TO_DATE = TO_DATE(''03102014000000'',''DDMMYYYYHH24MISS''),
                            MARKET_PARTICIPANT_ROLE_NAME = ''DELETED - '' || MARKET_PARTICIPANT_ROLE_NAME,
                            LAST_UPDATE_USER_ID = ''MDD_14_485'',
                            LAST_UPDATE_DATE = SYSDATE
                      WHERE MARKET_PARTICIPANT_CODE = ''ENS''
                        AND MARKET_PARTICIPANT_ROLE_CODE = ''MAM''';

EXCEPTION
  WHEN is_snapshot OR invalid_column THEN
    NULL;
END;
/
--
SET SCAN ON
--
COMMIT
/
--
SET VERIFY ON
--
